Upstream information

CVE-2024-21646 at MITRE

Description

Azure uAMQP is a general purpose C library for AMQP 1.0. The UAMQP library is used by several clients to implement AMQP protocol communication. When clients using this library receive a crafted binary type data, an integer overflow or wraparound or memory safety issue can occur and may cause remote code execution. This vulnerability has been patched in release 2024-01-01.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 9.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1219409 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP2-BYOS-Azure
Image SLES15-SP2-HPC-BYOS-Azure
Image SLES15-SP2-SAP-Azure
Image SLES15-SP2-SAP-BYOS-Azure
Image SLES15-SP3-BYOS-Azure
Image SLES15-SP3-HPC-BYOS-Azure
Image SLES15-SP3-SAP-BYOS-Azure
Image SLES15-SP3-SAPCAL-Azure
Image SLES15-SP4-BYOS-Azure
Image SLES15-SP4-HPC-BYOS
Image SLES15-SP4-HPC-BYOS-Azure
Image SLES15-SP4-Hardened-BYOS-Azure
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-Azure
Image SLES15-SP4-SAP
Image SLES15-SP4-SAP-Azure
Image SLES15-SP4-SAP-BYOS-Azure
Image SLES15-SP4-SAP-Hardened-Azure
Image SLES15-SP4-SAP-Hardened-BYOS-Azure
Image SLES15-SP4-SAPCAL
Image SLES15-SP4-SAPCAL-Azure
Image SLES15-SP5-Azure-Basic
Image SLES15-SP5-Azure-Standard
Image SLES15-SP5-BYOS-Azure
Image SLES15-SP5-HPC-Azure
Image SLES15-SP5-HPC-BYOS-Azure
Image SLES15-SP5-Hardened-BYOS-Azure
Image SLES15-SP5-SAP-BYOS-Azure
Image SLES15-SP5-SAP-Hardened-Azure
Image SLES15-SP5-SAP-Hardened-BYOS-Azure
Image SLES15-SP5-SAPCAL-Azure
  • python3-uamqp >= 1.5.3-150100.4.10.1
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Public Cloud 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • python3-uamqp >= 1.5.3-150100.4.10.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP3-2024-323
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Public Cloud 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • python3-uamqp >= 1.5.3-150100.4.10.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP2-2024-323
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Public Cloud 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • python3-uamqp >= 1.5.3-150100.4.10.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP4-2024-323
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Public Cloud 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • python3-uamqp >= 1.5.3-150100.4.10.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP5-2024-323
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Module for Public Cloud 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • python3-uamqp >= 1.5.3-150100.4.10.1
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 SP6 GA python-uamqp-1.5.3-150100.4.18.1
openSUSE Leap 15.5
  • python3-uamqp >= 1.5.3-150100.4.10.1
Patchnames:
openSUSE-SLE-15.5-2024-323
openSUSE Tumbleweed
  • python310-uamqp >= 1.6.8-1.1
  • python311-uamqp >= 1.6.8-1.1
  • python39-uamqp >= 1.6.8-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13643


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 python-uamqp Released
SUSE Linux Enterprise High Performance Computing 12 python-uamqp Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP5 python-uamqp Released
SUSE Linux Enterprise High Performance Computing 15 SP6 python-uamqp Released
SUSE Linux Enterprise Module for Public Cloud 12 python-uamqp Unsupported
SUSE Linux Enterprise Module for Public Cloud 15 SP5 python-uamqp Released
SUSE Linux Enterprise Module for Public Cloud 15 SP6 python-uamqp Released
SUSE Linux Enterprise Server 12 SP5 python-uamqp Unsupported
SUSE Linux Enterprise Server 15 SP5 python-uamqp Released
SUSE Linux Enterprise Server 15 SP6 python-uamqp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 python-uamqp Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP5 python-uamqp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 python-uamqp Released
SUSE Manager Proxy 4.3 python-uamqp Released
SUSE Manager Retail Branch Server 4.3 python-uamqp Released
SUSE Manager Server 4.3 python-uamqp Released
openSUSE Leap 15.5 python-uamqp Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 python-uamqp Released
SUSE Linux Enterprise High Performance Computing 15 SP3 python-uamqp Released
SUSE Linux Enterprise High Performance Computing 15 SP4 python-uamqp Released
SUSE Linux Enterprise Module for Public Cloud 15 SP4 python-uamqp Released
SUSE Linux Enterprise Server 15 SP2 python-uamqp Released
SUSE Linux Enterprise Server 15 SP3 python-uamqp Released
SUSE Linux Enterprise Server 15 SP4 python-uamqp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 python-uamqp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 python-uamqp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 python-uamqp Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 6 python-uamqp Affected
SUSE Enterprise Storage 7 python-uamqp Released
SUSE Linux Enterprise High Performance Computing 15 SP1 python-uamqp Affected
SUSE Linux Enterprise Module for Public Cloud 15 SP1 python-uamqp Affected
SUSE Linux Enterprise Module for Public Cloud 15 SP2 python-uamqp Released
SUSE Linux Enterprise Module for Public Cloud 15 SP3 python-uamqp Released
SUSE Linux Enterprise Server 12 python-uamqp Unsupported
SUSE Linux Enterprise Server 12 SP3 python-uamqp Unsupported
SUSE Linux Enterprise Server 12 SP4 python-uamqp Unsupported
SUSE Linux Enterprise Server 15 SP1 python-uamqp Affected
SUSE Linux Enterprise Server for SAP Applications 12 python-uamqp Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python-uamqp Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python-uamqp Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 python-uamqp Affected
SUSE Manager Proxy 4.0 python-uamqp Affected
SUSE Manager Proxy 4.1 python-uamqp Released
SUSE Manager Proxy 4.2 python-uamqp Released
SUSE Manager Retail Branch Server 4.0 python-uamqp Affected
SUSE Manager Retail Branch Server 4.1 python-uamqp Released
SUSE Manager Retail Branch Server 4.2 python-uamqp Released
SUSE Manager Server 4.0 python-uamqp Affected
SUSE Manager Server 4.1 python-uamqp Released
SUSE Manager Server 4.2 python-uamqp Released


SUSE Timeline for this CVE

CVE page created: Tue Jan 9 03:00:08 2024
CVE page last modified: Sun Jun 16 11:54:13 2024